## org.pentaho.reporting.libraries.formula.function.math
Class SumAFunction

    java.lang.Object
      org.pentaho.reporting.libraries.formula.function.math.SumFunction
          org.pentaho.reporting.libraries.formula.function.math.SumAFunction

All Implemented Interfaces:
  java.io.Serializable, Function

    public class SumAFunction

extends SumFunction

Creation-Date: 31.10.2006, 17:39:19

Author:
  Thomas Morgner
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.pentaho.reporting.libraries.formula.function.math.SumFunction
`ZERO`

Constructor Summary
`SumAFunction()`

Method Summary
`java.lang.String` `getCanonicalName()`

Methods inherited from class org.pentaho.reporting.libraries.formula.function.math.SumFunction
`evaluate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SumAFunction

    public SumAFunction()

Method Detail

### getCanonicalName

    public java.lang.String getCanonicalName()

  Specified by:
    `getCanonicalName` in interface `Function`
  Overrides:
    `getCanonicalName` in class `SumFunction`